Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Etikett

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Etikett

All Implemented Interfaces:
  Serializable

    public class Etikett

extends Textkomponente
implements Serializable

Ein Etikett ist die eingedeutschte Klasse fuer Java-Labels. Etiketten dienen dazu, Bereiche zu beschriften oder Informationen zu schreiben.

Version:
  6.9 vom 27.08.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Etikett(double pLinks, double pOben, double pBreite, double pHoehe, double pZahl)` Das Etikett wird erzeugt und bekommt den Text pZahl.
`Etikett(double pLinks, double pOben, double pBreite, double pHoehe, int pZahl)` Das Etikett wird erzeugt und bekommt den Text pZahl.
`Etikett(double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Das Etikett wird erzeugt und bekommt den Text pText.
`Etikett(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, double pZahl)` Das Etikett wird erzeugt und bekommt den Text pZahl.
`Etikett(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, int pZahl)` Das Etikett wird erzeugt und bekommt den Text pZahl.
`Etikett(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Das Etikett wird erzeugt und bekommt den Text pText.

Method Summary
`void` | `fuegeEin(String pText, int pStelle)` Der Text pText wird an Position pStelle eingefuegt.
`void` | `haengeAn(char pZeichen)` Das Zeichen pZeichen wird am Ende angehaengt.
`void` | `haengeAn(double pZahl)` Das Kommazahl pZahl wird am Ende angehaengt.
`void` | `haengeAn(int pZahl)` Das ganze Zahl pZahl wird am Ende angehaengt.
`void` | `haengeAn(String pText)` Der Text pText wird am Ende angehaengt.
`String` | `inhaltAlsText()` Der Text des Etiketts wird als String zurueckgegeben.
`void` | `setzeAusrichtung(int pAusrichtung)` Die Ausrichtung des Texts im Etikett wird geaendert.
`void` | `setzeInhalt(String pText)` Das Etikett erhaelt einen neuen Inhalt.

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Etikett

    public Etikett(double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   double pZahl)

  Das Etikett wird erzeugt und bekommt den Text pZahl. Position, Breite und Hoehe werden als Parameter uebergeben. Das Etikett befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pZahl` - der Inhalt der Komponente

### Etikett

    public Etikett(double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   int pZahl)

  Das Etikett wird erzeugt und bekommt den Text pZahl. Position, Breite und Hoehe werden als Parameter uebergeben. Das Etikett befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pZahl` - der Inhalt der Komponente

### Etikett

    public Etikett(double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   String pText)

  Das Etikett wird erzeugt und bekommt den Text pText. Position, Breite und Hoehe werden als Parameter uebergeben. Das Etikett befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

### Etikett

    public Etikett(Fenster pFenster,
                   double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   double pZahl)

  Das Etikett wird erzeugt und bekommt den Text pZahl. Position, Breite und Hoehe werden als Parameter uebergeben. Das Etikett befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pZahl` - der Inhalt der Komponente

### Etikett

    public Etikett(Fenster pFenster,
                   double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   int pZahl)

  Das Etikett wird erzeugt und bekommt den Text pZahl. Position, Breite und Hoehe werden als Parameter uebergeben. Das Etikett befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pZahl` - der Inhalt der Komponente

### Etikett

    public Etikett(Fenster pFenster,
                   double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   String pText)

  Das Etikett wird erzeugt und bekommt den Text pText. Position, Breite und Hoehe werden als Parameter uebergeben. Das Etikett befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

Method Detail

### fuegeEin

    public void fuegeEin(String pText,
                         int pStelle)

  Der Text pText wird an Position pStelle eingefuegt.

  Parameters:
    `pText` - der Text, der eingefuegt wird
    `pStelle` - die Stelle, wo der Text eingefuegt wird

### haengeAn

    public void haengeAn(char pZeichen)

  Das Zeichen pZeichen wird am Ende angehaengt.

  Parameters:
    `pZeichen` - das Zeichen, das am Ende angehaengt wird

### haengeAn

    public void haengeAn(double pZahl)

  Das Kommazahl pZahl wird am Ende angehaengt.

  Parameters:
    `pZahl` - die Zahl, die am Ende angehaengt wird

### haengeAn

    public void haengeAn(int pZahl)

  Das ganze Zahl pZahl wird am Ende angehaengt.

  Parameters:
    `pZahl` - die Zahl, die am Ende angehaengt wird

### haengeAn

    public void haengeAn(String pText)

  Der Text pText wird am Ende angehaengt.

  Parameters:
    `pText` - der Text, der am Ende angehaengt wird

### inhaltAlsText

    public String inhaltAlsText()

  Der Text des Etiketts wird als String zurueckgegeben.

  Specified by:
    `inhaltAlsText` in class `Textkomponente`
  Returns:
    der Inhalt der Komponente als Zeichenkette (String)

### setzeAusrichtung

    public void setzeAusrichtung(int pAusrichtung)

  Die Ausrichtung des Texts im Etikett wird geaendert.

  Parameters:
    `pAusrichtung` - die neue Ausrichtung des Textes (siehe Klasse Ausrichtung)

### setzeInhalt

    public void setzeInhalt(String pText)

  Das Etikett erhaelt einen neuen Inhalt.

  Specified by:
    `setzeInhalt` in class `Textkomponente`
  Parameters:
    `pText` - der Text, der als neuer Inhalt gesetzt wird

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD